*** sbdsp.c.orig	Tue Feb  9 08:06:39 1993
--- sbdsp.c	Fri Feb 12 23:05:27 1993
***************
*** 17,24 ****
--- 17,28 ----
  #ifdef SBLAST
  #include <i386/isa/sblast.h>
  #else
+ #ifdef linux
+ #include <linux/soundcard.h>
+ #else
  #include <sys/sb.h>
  #endif
+ #endif
  #include <signal.h>
  #include "st.h"
  
***************
*** 61,66 ****
--- 65,73 ----
  	ft->info.size = BYTE;
  	ft->info.style = UNSIGNED;
  	ft->info.channels = 1;
+ #ifdef linux
+ 	ioctl(fileno(ft->fp), SNDCTL_DSP_SPEED, ft->info.rate);
+ #else
  	ioctl(fileno(ft->fp), DSP_IOCTL_RESET, 0);
  #ifdef SBLAST
  	ioctl(fileno(ft->fp), DSP_IOCTL_VOICE, &off);
***************
*** 69,74 ****
--- 76,82 ----
  	ioctl(fileno(ft->fp), DSP_IOCTL_VOICE, 0);
  	ioctl(fileno(ft->fp), DSP_IOCTL_SPEED, ft->info.rate);
  #endif
+ #endif
  	sigint(0);	/* Prepare to catch SIGINT */
  }
  
***************
*** 119,124 ****
--- 127,135 ----
  	ft->info.size = BYTE;
  	ft->info.style = UNSIGNED;
  	ft->info.channels = 1;
+ #ifdef linux
+ 	ioctl(fileno(ft->fp), SNDCTL_DSP_SPEED, ft->info.rate);
+ #else
  	ioctl(fileno(ft->fp), DSP_IOCTL_RESET, 0);
  #ifdef SBLAST
  	ioctl(fileno(ft->fp), DSP_IOCTL_FLUSH, 0);
***************
*** 128,133 ****
--- 139,145 ----
  	ioctl(fileno(ft->fp), DSP_IOCTL_VOICE, 1);
  	ioctl(fileno(ft->fp), DSP_IOCTL_SPEED, ft->info.rate);
  #endif
+ #endif
  }
  
  sbdspwrite(ft, buf, len) 
***************
*** 147,152 ****
--- 159,166 ----
  	/* If file header needs fixing up, for example it needs the */
   	/* the number of samples in a field, seek back and write them here. */
  	fflush(ft->fp);
+ #ifndef linux
  	ioctl(fileno(ft->fp), DSP_IOCTL_FLUSH, 0);
+ #endif
  }
  #endif
*** Makefile.unx.orig	Fri Feb 12 23:06:11 1993
--- Makefile.unx	Fri Feb 12 23:10:01 1993
***************
*** 92,97 ****
--- 92,104 ----
  # AR        = ar r
  # RANLIB    = ranlib
  
+ # Linux
+ 
+ #CFLAGS    = -O6 -DBLASTER
+ #CC        = gcc
+ #AR        = ar r
+ #RANLIB    = ranlib
+ 
  all: sox
  
  sox: sox.o $(SOUNDLIB)
